package com.muyu.etl.common.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：zhangzhihao
 * @name：DataSourcesReq
 * @Date：2024/8/21 20:55
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DataSourcesReq {

    /** 数据来源名称 */
    private String name ;

    /** 存放数据库名称 */
    private String databaseName ;

    private Integer pageNum=1;
    private Integer pageSize=3;
}
