package com.muyu.etl.server.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.etl.common.domain.DataSources;
import com.muyu.etl.common.domain.req.DataSourcesReq;
import com.muyu.etl.common.domain.resp.DataSourcesRes;

import java.util.List;

/**
 * @Author：zhangzhihao
 * @name：DataSourcesService
 * @Date：2024/8/21 14:35
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
public interface DataSourcesService extends IService<DataSources> {
    /**
     * 修改数据源
     * @param dataSources
     * @return
     */
    boolean update(DataSources dataSources);

    /**
     * 查询所有已有数据源
     * @param req
     * @return
     */
    Page<DataSources> selectList(DataSourcesReq req);
}
